Bug 211011 - sysutils/apcupsd (with GAPCMON option) lacks devel/pkgconf build dep
Summary: sysutils/apcupsd (with GAPCMON option) lacks devel/pkgconf build dep
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: Jason E. Hale
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-11 16:23 UTC by Martin S. Weber
Modified: 2016-10-31 10:05 UTC (History)
3 users (show)

See Also:


Attachments
poudriere (failed) build log file for apcsupsd-3.14.13 (32.04 KB, text/plain)
2016-07-11 16:23 UTC, Martin S. Weber
no flags Details
patch to make GAPCMON option build in poudriere (395 bytes, patch)
2016-07-15 15:04 UTC, Martin S. Weber
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin S. Weber 2016-07-11 16:23:49 UTC
Created attachment 172384 [details]
poudriere (failed) build log file for apcsupsd-3.14.13

With options:
     APCDUMB_DRV=on: Compile dumb UPS driver                                                                                                                                                                                                   
     APCSMART_DRV=on: Compile APC SmartUPS serial driver                                                                                                                                                                                       
     CGI=off: Compile with CGI programms to show status                                                                                                                                                                                        
     CLIENT_ONLY=off: Only NIS client (no network server or drivers)                                                                                                                                                                           
     DOCS=on: Build and/or install documentation                                                                                                                                                                                               
     GAPCMON=on: Build GTK GUI front-end                                                                                                                                                                                                       
     MODBUS=on: Compile with MODBUS driver                                                                                                                                                                                                     
     PCNET_DRV=on: Compile PowerChute Network Shutdown driver                                                                                                                                                                                  
     SNMP_DRV=off: Compile with SNMP driver                                                                                                                                                                                                    
     SNMP_DRV_OLD=off: Compile with old SNMP driver                                                                                                                                                                                            
     TCP_WRAPPERS=on: Compile with TCP_WRAPPERS support                                                                                                                                                                                        
     TEST_DRV=off: Compile TEST driver                                                                                                                                                                                                         
     USB=on: Compile with USB Support driver                                 

failing in configure:

checking for pkg-config... no                                                                                                                                                                                                                  
checking for GAPCMON... configure: error: in `/wrkdirs/usr/ports/sysutils/apcupsd/work/apcupsd-3.14.13':                                                                                                                                       
configure: error: The pkg-config script could not be found or is too old.  Make sure it                                                                                                                                                        
is in your PATH or set the PKG_CONFIG environment variable to the full                                                                                                                                                                         
path to pkg-config.

poudriere build log attached.
Comment 1 Martin S. Weber 2016-07-15 15:04:39 UTC
Created attachment 172557 [details]
patch to make GAPCMON option build in poudriere

don't know if this is the best approach, but the very simple patch I attached fixes the failing build in poudriere when the GAPCMON option is on.
Comment 2 commit-hook freebsd_committer 2016-10-31 10:03:39 UTC
A commit references this bug:

Author: jhale
Date: Mon Oct 31 10:02:48 UTC 2016
New revision: 424993
URL: https://svnweb.freebsd.org/changeset/ports/424993

Log:
  Add pkgconf build dependency when GAPCMON option is enabled

  While here:
  Fix a typo in CGI_DESC

  PR:		211011
  Submitted by:	Martin S. Weber <freebsd-bugzilla@ayaken.net>
  Approved by:	maintainer timeout

Changes:
  head/sysutils/apcupsd/Makefile